FaceValueClaim Class Reference

Claim on a notional. More...

`#include <ql/instruments/claim.hpp>`

Inheritance diagram for FaceValueClaim:
[legend]

## Public Member Functions

Real | amount (const Date &d, Real notional, Real recoveryRate) const
Public Member Functions inherited from Claim
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members

Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

Claim on a notional.